aboutsummaryrefslogtreecommitdiff
path: root/n35-skeleton/etc/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'n35-skeleton/etc/init.d')
-rwxr-xr-xn35-skeleton/etc/init.d/S20urandom54
-rwxr-xr-xn35-skeleton/etc/init.d/S40network25
-rwxr-xr-xn35-skeleton/etc/init.d/S50telnetd35
-rwxr-xr-xn35-skeleton/etc/init.d/rcS27
4 files changed, 0 insertions, 141 deletions
diff --git a/n35-skeleton/etc/init.d/S20urandom b/n35-skeleton/etc/init.d/S20urandom
deleted file mode 100755
index f73cea5..0000000
--- a/n35-skeleton/etc/init.d/S20urandom
+++ /dev/null
@@ -1,54 +0,0 @@
-#! /bin/sh
-#
-# urandom This script saves the random seed between reboots.
-# It is called from the boot, halt and reboot scripts.
-#
-# Version: @(#)urandom 1.33 22-Jun-1998 miquels@cistron.nl
-#
-
-[ -c /dev/urandom ] || exit 0
-#. /etc/default/rcS
-
-case "$1" in
- start|"")
- if [ "$VERBOSE" != no ]
- then
- echo -n "Initializing random number generator... "
- fi
- # Load and then save 512 bytes,
- # which is the size of the entropy pool
- if [ -f /etc/random-seed ]
- then
- cat /etc/random-seed >/dev/urandom
- fi
- # check for read only file system
- if ! touch /etc/random-seed 2>/dev/null
- then
- echo "read-only file system detected...done"
- exit
- fi
- rm -f /etc/random-seed
- umask 077
- dd if=/dev/urandom of=/etc/random-seed count=1 \
- >/dev/null 2>&1 || echo "urandom start: failed."
- umask 022
- [ "$VERBOSE" != no ] && echo "done."
- ;;
- stop)
- if ! touch /etc/random-seed 2>/dev/null
- then
- exit
- fi
- # Carry a random seed from shut-down to start-up;
- # see documentation in linux/drivers/char/random.c
- [ "$VERBOSE" != no ] && echo -n "Saving random seed... "
- umask 077
- dd if=/dev/urandom of=/etc/random-seed count=1 \
- >/dev/null 2>&1 || echo "urandom stop: failed."
- [ "$VERBOSE" != no ] && echo "done."
- ;;
- *)
- echo "Usage: urandom {start|stop}" >&2
- exit 1
- ;;
-esac
diff --git a/n35-skeleton/etc/init.d/S40network b/n35-skeleton/etc/init.d/S40network
deleted file mode 100755
index ad6d250..0000000
--- a/n35-skeleton/etc/init.d/S40network
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/bin/sh
-#
-# Start the network....
-#
-
-case "$1" in
- start)
- echo "Starting network..."
- /sbin/ifup -a
- ;;
- stop)
- echo -n "Stopping network..."
- /sbin/ifdown -a
- ;;
- restart|reload)
- "$0" stop
- "$0" start
- ;;
- *)
- echo $"Usage: $0 {start|stop|restart}"
- exit 1
-esac
-
-exit $?
-
diff --git a/n35-skeleton/etc/init.d/S50telnetd b/n35-skeleton/etc/init.d/S50telnetd
deleted file mode 100755
index 7e48064..0000000
--- a/n35-skeleton/etc/init.d/S50telnetd
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/sh
-#
-# Start telnetd
-#
-
-start() {
- echo "Starting telnetd..."
- /usr/sbin/telnetd
-}
-stop() {
- echo -n "Stopping telnetd..."
- killall telnetd
-}
-restart() {
- stop
- start
-}
-
-case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart|reload)
- restart
- ;;
- *)
- echo $"Usage: $0 {start|stop|restart}"
- exit 1
-esac
-
-exit $?
-
diff --git a/n35-skeleton/etc/init.d/rcS b/n35-skeleton/etc/init.d/rcS
deleted file mode 100755
index de41153..0000000
--- a/n35-skeleton/etc/init.d/rcS
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/sh
-
-
-# Start all init scripts in /etc/init.d
-# executing them in numerical order.
-#
-for i in /etc/init.d/S??* ;do
-
- # Ignore dangling symlinks (if any).
- [ ! -f "$i" ] && continue
-
- case "$i" in
- *.sh)
- # Source shell script for speed.
- (
- trap - INT QUIT TSTP
- set start
- . $i
- )
- ;;
- *)
- # No sh extension, so fork subprocess.
- $i start
- ;;
- esac
-done
-